---
title: msCaching
slug: Web/API/msCaching
tags:
  - msCaching
---
<div>{{APIRef("HTML DOM")}}</div>

<p>{{Non-standard_header()}}</p>

<p>The <strong><code>msCaching</code></strong> read/write property specifies whether stream data downloaded using <a href="/en-US/docs/Web/API/XMLHttpRequest">XMLHttpRequest</a>is cached to disk or not.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"> cacheState = object.msCaching
</pre>

<h3 id="Values">Values</h3>

<p>Type: DOMString</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Property value</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>auto</code></td>
   <td>Disables caching for stream or ms-stream data.</td>
  </tr>
  <tr>
   <td><code>enabled</code></td>
   <td>Enables caching for stream or ms-stream data.</td>
  </tr>
  <tr>
   <td><code>disabled</code></td>
   <td>Disables caching for any data.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/msCachingEnabled">msCachingEnabled </a></li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
